Consider use of the term "CRS" instead of "Projection" throughout QGIS
2006-03-24 01:52 PM - Brendan Morley -
Category: Projection Support
Description

Recent OGC documents prefer the term "Coordinate Reference System"” in situations that previously referred to "Spatial Reference
System" or even "Projection”.

We should review the usage of the term "Projection” in the cases where CRS is actually a more descriptive term.

The semantic difference between SRS and CRS is contrasted by the following ISO Standards:

- Spatial Referencing by Coordinates ( ISO 19111:2003 ) - e.g. http://loki.cae.drexel.edu/~wbs/ontology/iso-19111.htm

- Spatial Referencing by Geographic Identifier ( ISO 19112:2003 ) - e.g. http://loki.cae.drexel.edu/~wbs/ontology/iso-19112.htm

An SRS could refer to an address-based lookup scheme (as well as a coordinate-based lookup scheme) - therefore what QGIS currently
deals with are more accurately called CRSs.

History

#1 - 2008-07-10 10:55 AM - Maciej Sieczka -

This is a big issue. "Projection" is merely a component of a CRS. QGIS must use proper terminology.

#2 - 2008-07-14 02:21 AM - Tim Sutton

On second thoughts this is probably handled using the enhancement type and not a fake milestone. Returning to 1.0.1 milestone, please ignore last

milestone change

#3 - 2008-07-14 02:47 AM - Tim Sutton

Given the invasiveness of the changes required and that we are months away from 1.0.0 I'm shifting this over to 2.0.0.

#4 - 2008-07-25 03:57 AM - Maciej Sieczka -

Replying to [comment:6 timlinux]:

Given the invasiveness of the changes required and that we are months away from 1.0.0 I'm shifting this over to 2.0.0.

What's invasive about changing several strings in the user interface?

Moreover this is definitely not a "feature request" but a "bug report". Simply, projection!=coordinate system, while QGIS uses the term "projection" in places
where actually "coordinate system" should be used.

Projection is only an element of a coordinate system, and only of a projected one. Unprojected CS does not even have a projection.

Bogus terminology makes learning (and teaching) harder.

#5 - 2008-07-26 12:22 PM - Tim Sutton
- Status changed from Open to In Progress

My comment was based on the assumption that the original poster was referring to internal references to SRS in source code etc. ("CRS" instead of

"Projection” throughout QGIS). | agree in the user interface it should be relatively painless to change and will look at doing so for 1.0.0

Changed the ticket type from bug (nothing is 'broken’ by using one term over another here) to enhancement.

Changed severity to minor (nothing is broken although the term's useage may be incorrect it doesnt interfere with the normal functioning of the

application).

#6 - 2008-07-26 02:10 PM - Maciej Sieczka -

Replying to [comment:8 timlinux]:

Changed the ticket type from bug (nothing is 'broken' by using one term over another here) to

enhancement.

But it is broken. Like if you called an apple a car.

Changed severity to minor (nothing is broken although the term's useage may be incorrect it
doesnt interfere with the normal functioning of the application).

Not "may be" but evidently is.

#7 - 2008-07-31 01:26 PM - Tim Sutton

- Status changed from In Progress to Closed

- Resolution set to fixed

Hi

| have fixed this with commit:e1368a77 (SVN r8955). Please note its a superficial fix in as much | only changed end user visible aspects of QGIS to use the
CRS term. As | mentioned in one of my previous comments above, changing through the whole of QGIS source base every useage (e.g. class name) to
CRS is considerable work and | would not like to make such changes this close to 1.0. I'm closing this ticket, and will revisit the programmatic naming
conventions as relates to CRS in a future release of QGIS.

Regards

Tim
#8 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
